# 'Description : USB 32Relay program for python 2.7.13
# 'Release Date : 2018/05/22
# 'Author : Decision
# '
# 'Copyright 2018 Decision Computer
# 'All Right Reserved
# coding: utf-8 
import os  
import ctypes  
  
CUR_PATH = os.path.dirname(__file__)  
dll = ctypes.WinDLL(os.path.join(CUR_PATH, 'USBDII.dll'))  	

card_type = 13
card_id = 0
hDevice = -1
hDevice = dll.hid_OpenDevice(card_type, card_id)
####	Connect to the board	####
###	hid_OpenDevice hDevice	###
##	A handle to the device on which the operation is to be performed.
##	If (hDevice == -1) connection failed, Please check external power supply and USB connection	
 
###	hid_OpenDevice card_type	###
	## 'USB_16PIO   0x01
	## 'USB_LABKIT  0x02
	## 'USB_16PR    0x03
	## 'USB_STARTER 0x04
	## 'USB_8PR     0x06
	## 'USB_4PR     0x07
	## 'USB_8PI     0x08
	## 'USB_8RO     0x09
	## 'USB_16PI    0x0A
	## 'USB_16RO    0x0B
	## 'USB_32PI    0x0C
	## 'USB_32RO    0x0D
	
###	hid_OpenDevice card_id	###
	##	switch S2 on the USB 32 Rrelay board, Only 0~14

if hDevice == -1 :
	print 'No connection'
else :
	setPort = 0
	setNumber = 1
	print dll.hid_SetDigitalByte( hDevice, setPort, setNumber)
	print dll.hid_SetDigitalByte( hDevice, 1, 3)
	print dll.hid_SetDigitalByte( hDevice, 2, 7)
	print dll.hid_SetDigitalByte( hDevice, 3, 15)
####	Send control code to relay output	####
###	hid_SetDigitalByte return	###	
	## 1 = success
	## 0 = fail , Please check external power supply and USB connection
	
###	hid_SetDigitalByte setPort	###	
	##	Set Port 0~3
	
###	hid_SetDigitalByte setNumber	###	
	##	Set Number 0~255
	
#--------------------------------------------------------------------#
	# print "read Port0 = " + str( dll.hid_GetDigitalByte( hDevice, 0))
	# print "read Port1 = " + str( dll.hid_GetDigitalByte( hDevice, 1))
	# print "read Port2 = " + str( dll.hid_GetDigitalByte( hDevice, 2))
	# print "read Port3 = " + str( dll.hid_GetDigitalByte( hDevice, 3))	
####	Get photo intput values from the board	####
###	hid_GetDigitalByte return	###	
	## 0~255 = success , PortX Number 
	## -1 = fail , Please check external power supply and USB connection
	
###	hid_GetDigitalByte getPort	###	
	##	Get Port 0~3
	
	print dll.hid_CloseDevice(hDevice )
####	Close board connection	####
	